# FLUX.1 [schnell] API

> အမြန်ဆုံးနှင့် စျေးအသက်သာဆုံး FLUX မော်ဒယ်ဖြစ်ပြီး ပရောမ့်မှ တစ်စက္ကန့်ခန့်အတွင်း ပြီးစီးသည့်ပုံကို ဖန်တီးပေးသည်။

denoising အဆင့် 1 မှ 4 သာလိုအပ်သော parameter 12 ဘီလီယံပါဝင်သည့် distill လုပ်ထားသော FLUX မော်ဒယ်ဖြစ်ပြီး ပရောမ့်ကို ပုံအဖြစ် ပြောင်းလဲရန် အမြန်ဆုံးနည်းလမ်းဖြစ်သည်။ မူကြမ်းများ၊ thumbnail များ၊ အစမ်းကြည့်ရှုမှုများနှင့် ပမာဏများသော pipeline များအတွက် အသုံးပြုပါ။ အသေးစိတ်ကောင်းမွန်မှု သို့မဟုတ် စာလုံးရေးသားမှု တိကျမှုလိုအပ်ပါက ပိုကြီးသော FLUX မော်ဒယ်သို့ ပြောင်းပါ။ 14 မီဂါပစ်ဇယ်အထိ မည်သည့်အရွယ်အစားမဆို အသုံးပြုနိုင်ပြီး တောင်းဆိုချက်တစ်ခုလျှင် ပုံ 4 ပုံအထိ ရရှိနိုင်သည်။

- Model id: `flux/schnell`
- Made by: Black Forest Labs
- Category: Text to Image
- Output: image
- Price: $0.003 / megapixel (cheapest run $0.003 (3 API credits))
- Run: `POST https://api.doitong.com/v1/run/flux/schnell`
- Quote: `POST https://api.doitong.com/v1/quote/flux/schnell`
- Docs page: https://doitong.com/my/developers/models/flux/schnell

## Pricing

Price: **$0.003 / megapixel**. Billed per megapixel of output (width × height of every image). Each image is rounded up to a whole megapixel.

The full example input below costs $0.003 = 3 API credits (1 MP × 3 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/flux/schnell` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `num_inference_steps` |  | integer | no | `4` | 1 – 12 | လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။ |
| `prompt` |  | string | yes |  |  | ပုံဖန်တီးမှုကို လမ်းညွှန်ပေးသည့် ပရောမ့်။ |
| `image_size` |  | object {width, height} \| enum (string) | no | `landscape_4_3` | `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9` | ဖန်တီးထားသောပုံ၏ အရွယ်အစား။ |
| `seed` |  | integer \| null | no |  |  | ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။ |
| `guidance_scale` |  | number | no | `3.5` | 1 – 20 | ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။ |
| `num_images` | `num_outputs` | integer | no | `1` | 1 – 4 | ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။ |
| `enable_safety_checker` |  | boolean | no | `true` |  | လုံခြုံရေးစစ်ဆေးမှုသည် မလုံခြုံဟု သတ်မှတ်ခံရသော ပုံများအစား အနက်ရောင်ပုံများကို ပြန်ပေးသည်။ true သည် စစ်ဆေးမှုကို ဖွင့်ပေးပြီး false သည် ခွင့်ပြုထားသောအကောင့်များအတွက်သာ ပိတ်ပေးသည်။ ခွင့်ပြုချက်မရှိသော တောင်းဆိုချက်များကို မည်သို့ပင်ဖြစ်စေ စစ်ဆေးသည်။ |
| `output_format` |  | enum (string) | no | `jpeg` | `jpeg`, `png` | ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။ |
| `acceleration` |  | enum (string) | no | `none` | `none`, `regular`, `high` | ဖန်တီးမှုအရှိန်မြှင့်မှု။ ဆက်တင်မြင့်လေ ရလဒ်များဖန်တီးရန် လိုအပ်သောအချိန် လျော့နည်းလေဖြစ်သည်။ |

## Example input

Required parameters only:

```json
{
  "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot"
}
```

A fuller example:

```json
{
  "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot",
  "image_size": "landscape_16_9",
  "num_images": 1
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux/schnell?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot",
    "image_size": "landscape_16_9",
    "num_images": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux/schnell?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot",
    "image_size": "landscape_16_9",
    "num_images": 1
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot",
    "image_size": "landscape_16_9",
    "num_images": 1,
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux/schnell", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "flux/schnell",
      "input": {
        "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot",
        "image_size": "landscape_16_9",
        "num_images": 1
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux/schnell",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot",
    "image_size": "landscape_16_9",
    "num_images": 1
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `images` | array of object {url, width, height, content_type} | ဖန်တီးထားသော ပုံများ၏ ဖိုင်အချက်အလက်။ |
| `timings` | object |  |
| `seed` | integer | ပုံဖန်တီးမှုအတွက် seed၊ ထည့်သွင်းချက်တွင် seed မပါပါက ကျပန်းရွေးချယ်ထားသောတန်ဖိုးကို ပါဝင်စေပြီး၊ ပါရှိပါက ပေးထားသောတန်ဖိုးကို ထပ်မံအသုံးပြုသည်။ |
| `has_nsfw_concepts` | array of boolean | ဖန်တီးထားသောပုံများတွင် NSFW အယူအဆများ ပါဝင်ခြင်း ရှိ၊ မရှိ ဖော်ပြသည်။ |
| `prompt` | string | ပုံဖန်တီးစဉ် အသုံးပြုမည့် ပရောမ့်။ |

## Related models

- [FLUX.1 \[dev\]](https://doitong.com/developers/models/flux/dev.md) (`flux/dev`): $0.025 / megapixel
- [FLUX.1 \[dev\] Redux](https://doitong.com/developers/models/flux/dev/redux.md) (`flux/dev/redux`): $0.025 / megapixel
- [FLUX.1 \[schnell\] Redux](https://doitong.com/developers/models/flux/schnell/redux.md) (`flux/schnell/redux`): $0.025 / megapixel
- [FLUX.1 · Dev · Image to Image](https://doitong.com/developers/models/flux/dev/image-to-image.md) (`flux/dev/image-to-image`): $0.09 / image
- [FLUX.2 \[dev\]](https://doitong.com/developers/models/flux-2.md) (`flux-2`): $0.012 / megapixel
- [FLUX.2 \[pro\]](https://doitong.com/developers/models/flux-2-pro.md) (`flux-2-pro`): $0.015 / megapixel of output image
- [GPT Image 2.5 Text to Image](https://doitong.com/developers/models/openai/gpt-image-2.5/flare/text-to-image.md) (`openai/gpt-image-2.5/flare/text-to-image`): from $0.008 / image
- [Ideogram V4.5](https://doitong.com/developers/models/ideogram/v4.5.md) (`ideogram/v4.5`): from $0.03 / image

## Links

- HTML page: https://doitong.com/developers/models/flux/schnell
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=flux/schnell
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/flux/schnell
